// Cactus Micro V2 Serial TEST

#define RESET 13            // CH_PD pin
#define GPIO0 12            // GPIO0

void reset()
{
  digitalWrite(RESET,LOW);
  delay(1000);
  digitalWrite(RESET,HIGH);
  delay(5000);
}

// ******** SETUP ********
void setup()  
{
  Serial.begin(9600);         // Communication with PC monitor via USB
  Serial1.begin(9600);        // Communication with ESP8266 (3V3!)
  while (!Serial) {};
//  Serial.println("ESP8266 Demo");

  Serial.println("Enabling Module");
  
  pinMode(RESET, INPUT_PULLUP);
  pinMode(GPIO0, INPUT_PULLUP);
  digitalWrite(RESET, 1);
  digitalWrite(GPIO0, 1);
  
  reset();

  Serial.println("Module Enabled");
  delay(500);
  Serial.println("...");
  Serial.println("Now, everything received from the ");
  Serial.println("'hardware uart' will send to 'usb serial' & ");
  Serial.println("'usb serial' to 'hardware uart' ");
  Serial.println("...");
  delay(1000);
}  

// ******** LOOP ********
void loop() 
{

   /* send everything received from the hardware uart to usb serial & vv */

  if (Serial1.available() > 0) {
    char ch = Serial1.read();
    Serial.print(ch);
  }

  if (Serial.available() > 0) {
    char ch = Serial.read();
    Serial1.print(ch);
  }


    
}
